%define major		5
%define libname 	%mklibname njb %{major}
%define develname	%mklibname njb -d

Name: 	 	libnjb
Summary:	A software library for talking to the Creative Nomad Jukeboxes and Dell DJs
Version: 	2.2.7
Release: 	%mkrel 1

Source0:	http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		libnjb-2.2.7-optimize-udev-rule.patch
URL:		http://sourceforge.net/projects/libnjb/
License:	BSD
Group:		System/Libraries

BuildRequires:  pkgconfig(libusb)
BuildRequires:  doxygen

%description
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.

%package -n 	%{libname}
Summary:        Dynamic libraries from %{name}
Group:          System/Libraries
Provides:	daemon
Obsoletes:	daemon = %{version}-%{release}

%description -n %{libname}
Provides a user-level API (C library) for communicating with the
Creative Nomad JukeBox MP3 player under Linux and *BSD, as well
as simple command-line utilities to demonstrate the API functions.
This library works in user space.
This libraries from %{name}.

%package -n 	%{develname}
Summary: 	Header files and static libraries from %name
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release} 
Obsoletes:	%{mklibname njb 5 -d}

%description -n %{develname}
Libraries and includes files for developing programs based on %name.

%prep
%setup -q
%apply_patches

%build

export LDFLAGS="-ltinfo"

%configure2_5x --disable-static
%make

%install
%makeinstall pkgdocdir=`pwd`/installed-docs
rm -f %{buildroot}%{_libdir}/*.la
#gw TODO fix device ownership
# Install udev rules file.
install -m644 libnjb.rules -D %{buildroot}/etc/udev/rules.d/60-libnjb.rules
install -m644 libnjb.fdi -D %{buildroot}%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files
%doc AUTHORS ChangeLog FAQ HACKING  README LICENSE
%{_bindir}/*
/etc/udev/rules.d/60-libnjb.rules
%{_datadir}/hal/fdi/information/10freedesktop/10-usb-music-players-libnjb.fdi

%files -n %{libname}
%{_libdir}/libnjb.so.%{major}*

%files -n %{develname}
%doc installed-docs/*
%{_includedir}/%{name}.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sun Jul 23 2017 bb2 <bb2> - 2.2.7-1pclos2017
- new version


